'use strict';

var _require = require('babel-plugin-macros'),
    createMacro = _require.createMacro,
    MacroError = _require.MacroError;
// const {getReplacement} = require('./helpers')


var _require2 = require('./index'),
    handleCreateRazor = _require2.handleCreateRazor;

module.exports = createMacro(bladeMacros);

function bladeMacros(_ref) {
	var references = _ref.references,
	    state = _ref.state,
	    t = _ref.babel.types;

	references.createQuery && references.createQuery.length && references.createQuery.forEach(function (referencePath) {
		handleCreateRazor(referencePath, t);
	});
	references.createFragment && references.createFragment.length && references.createFragment.forEach(function (referencePath) {
		handleCreateRazor(referencePath, t);
	})`;`;
}

// module.exports = createMacro(bladeMacros);

// function bladeMacros({ references, state, babel: { types: t } }) {
// 	Object.keys(references).forEach(referenceKey => {
// 		if (referenceKey === 'createQuery' || referenceKey === 'createFragment') {
// 			references[referenceKey].forEach(referencePath => {
// 				handleCreateRazor(referencePath, t);
// 			});
// 		} else throw new MacroError('invalid require?');
// 	});
// }